
*===========================================================================
*Table 2:  Bank Branch Expansion and Poverty: Reduced Form
*===========================================================================

local table2outcomes "h2 head lrwagenew lsalpw"

*Column 2 - Rural Headcount Ratio 
*---------------------------------------------------------
reg h1 $main $controls stdum* yrdum*, cluster(state)

	test ubt61+ubtA=0
	local F12 = r(F)
	local p12 = r(p)
	*test ubt61+ubtA+ubtB+ubtC+ubtD+ubtE=0
	test ubt61 + $test = 0
	
outreg2 using "table_2.tex", se ///
addtext(State and year dummies, YES, Other controls, YES) ///
keep($main) ///
addstat(F-test 1,`F12', P1 , `p12', F-test 2,  `r(F)', P2, `r(p)')  ///
coefastr  paren bdec(2) adjr2 symbol(***, **, *)  nolabel nocons replace

*Columns 3 & 4 - Urban & Aggregate Headcount Ratio 
* & Columns 5 & 6 - Agricultural & Factory wages
*---------------------------------------------------------
foreach v of local table2outcomes {
 reg `v' $main $controls stdum* yrdum*, cluster(state)
 
	test ubt61+ubtA=0
	test ubt61+ubtA=0
	local F12 = r(F)
	local p12 = r(p)
	test ubt61 + $test = 0
	
outreg2 using "table_2.tex", se ///
addtext(State and year dummies, YES, Other controls, YES) ///
keep($main) ///
addstat(F-test 1,`F12', P1 , `p12', F-test 2,  `r(F)', P2, `r(p)') ///
coefastr  paren bdec(2) adjr2 symbol(***, **, *)  nolabel nocons append
}

